package org.bench4q.monitor.performance.windows;

import org.springframework.stereotype.Component;

@Component
public class ProcessorMonitor {
	public native String[] getInstances();

	public native String[] getCounterList();

	public native double getProcessorTimePercent(String instanceName,
			int idleTime);

	public native double getUserTimePercent(String instanceName, int idleTime);

	public native double getPrivilegedTimePercent(String instanceName,
			int idleTime);

	public native double getInterruptsPerSecond(String instanceName,
			int idleTime);

	public native double getDpcTimePercent(String instanceName, int idleTime);

	public native double getInterruptTimePercent(String instanceName,
			int idleTime);

	public native double getDpcsQueuedPerSecond(String instanceName,
			int idleTime);

	public native double getDpcRate(String instanceName);

	public native double getIdleTimePercent(String instanceName, int idleTime);

	public native double getC1TimePercent(String instanceName, int idleTime);

	public native double getC2TimePercent(String instanceName, int idleTime);

	public native double getC3TimePercent(String instanceName, int idleTime);

	public native double getC1TransitionsPerSecond(String instanceName,
			int idleTime);

	public native double getC2TransitionsPerSecond(String instanceName,
			int idleTime);

	public native double getC3TransitionsPerSecond(String instanceName,
			int idleTime);
}
